#!/bin/sh
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F48
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Component Name: get_fw_server.sh
#

if [ -f $SystemRoot/system32/drivers/etc/Tivoli/setup_env.sh ] ; then
        . $SystemRoot/system32/drivers/etc/Tivoli/setup_env.sh
else
        . /etc/Tivoli/setup_env.sh
fi

PRODUCT=SECUREWAY_FIREWALL
MNOID=`objcall 0.0.0 get_host_location`
eval MNNAME=`idlattr -t -g $MNOID label string`
OSERV=`objcall 0.0.0 get_oserv`
INST_DIR=`objcall $OSERV query install_dir`
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
PRODDIR=$PLUSDIR/$PRODUCT

. $PRODDIR/PLUSproduct-info.sh

INSTALL_OPTS=`echo $INSTALL_OPTS | sed 's/ .*//g'`
eval REALVAR='"$'$INSTALL_OPTS'"'
eval OPTNAME='"$'$INSTALL_OPTS'_NAME"'
PRESNAME=@Presentation:"$OPTNAME"_"$MNNAME"

DB_DIR=`wgetattr $REALVAR "$PRESNAME"`
echo $DB_DIR
